summary refs log tree commit diff
path: root/home/.bin/sup
diff options
context:
space:
mode:
Diffstat (limited to 'home/.bin/sup')
-rwxr-xr-xhome/.bin/sup7
1 files changed, 7 insertions, 0 deletions
diff --git a/home/.bin/sup b/home/.bin/sup
new file mode 100755
index 00000000..7a69d9d0
--- /dev/null
+++ b/home/.bin/sup
@@ -0,0 +1,7 @@
+#!/usr/bin/env zsh
+set -o errexit -o nounset -o pipefail
+
+dir=$(mktemp -d)
+screencapture -i "$dir/capture.png"
+up "$dir/capture.png"
+rm -r "$dir"